﻿Type=Activity
Version=3.95
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim oTimerAlarm As Timer
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim oSMS1 As PhoneSms
	Dim oVibrate As PhoneVibrate	
	Dim lblNotification As Label
	Dim oMediaPlayer As MediaPlayer
	Dim oReflector As Reflector
	Dim oPhoneId As PhoneId
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	Activity.LoadLayout("Notification")
	
	Dim oPhoneWakeState As PhoneWakeState
	oPhoneWakeState.ReleaseKeepAlive
	oPhoneWakeState.KeepAlive(True)
	
	lblNotification.Text = "Car TAX Due Today!"
	oSMS1.Send(oPhoneId.GetLine1Number,"Your TAX is due today!")
	oVibrate.Vibrate(10000)
	oTimerAlarm.Initialize("oTimerAlarm",500)
	oTimerAlarm.Enabled = True
	
	If FirstTime Then
		oMediaPlayer.Initialize
	End If
		 
	oReflector.Target = "ContentDir"
	oReflector.Target = oReflector.RunMethod("intern")   
	oMediaPlayer.Load(oReflector.Target, "content://settings/system/ringtone")
	oMediaPlayer.Play
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean
   
   If KeyCode = KeyCodes.KEYCODE_BACK Then
    
	  Return True  
	  Else
	  Return False
	 
   End If 
  
End Sub

Sub btnDismiss_Click

	StartService("svcAlarm")
	Activity.Finish
	ExitApplication
	
End Sub

Sub oTimerAlarm_Tick

	If lblNotification.Visible = True Then
		lblNotification.Visible = False
	Else 
		lblNotification.Visible = True
	End If

End Sub

