﻿Type=Service
Version=3.95
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

Dim oCursor As Cursor
Dim Timer1 As Timer
Dim oSQL As SQL

End Sub

Sub Service_Create

End Sub
 
Sub Service_Start (StartingIntent As Intent) 

	ToastMessageShow("Simple Vehicle Reminder Started",True)

	Timer1.Initialize("Timer1",1)
	Timer1.Enabled = True

	oSQL.Initialize(File.DirRootExternal & "/SVR/", "SVR.db", True)

	oCursor = oSQL.ExecQuery("SELECT * FROM tblSVR")
	oCursor.Position = 0
	
End Sub

Sub Service_Destroy

End Sub

Sub Timer1_Tick
	
	Try
	
	'Loop through each record looking at the Date and Time.
	'The Date is stored in AMerican format so we have to set American format first.
	
	If oCursor.RowCount = oCursor.Position + 1 Then
			oCursor.Position = 0
	End If
	
	oCursor.Position = oCursor.Position + 1
		
	'-----MOT-----'
	DateTime.DateFormat = "MM/dd/yyyy"
		If oCursor.GetString("cMOT") = DateTime.Date(DateTime.Now) Then
			DateTime.DateFormat = "HH:mm:ss"
			If oCursor.GetString("cAlarmTime") = DateTime.Time(DateTime.Now) Then
				'Alarm Detected
				StartActivity("modMOTNotification")				
			End If 
		End If
				
		'-----Insurance-----'
	DateTime.DateFormat = "MM/dd/yyyy"
		If oCursor.GetString("cInsurance") = DateTime.Date(DateTime.Now) Then
			DateTime.DateFormat = "HH:mm:ss"
			If oCursor.GetString("cAlarmTime") = DateTime.Time(DateTime.Now) Then
				'Alarm Detected
				StartActivity("modInsuranceNotification")
			End If 
		End If
		
	'-----TAX-----'
	DateTime.DateFormat = "MM/dd/yyyy"
		If oCursor.GetString("cTAX") = DateTime.Date(DateTime.Now) Then
			DateTime.DateFormat = "HH:mm:ss"
			If oCursor.GetString("cAlarmTime") = DateTime.Time(DateTime.Now) Then
				'Alarm Detected
				StartActivity("modTAXNotification")
			End If 
		End If
				
	'-----Service-----'
	DateTime.DateFormat = "MM/dd/yyyy"
		If oCursor.GetString("cService") = DateTime.Date(DateTime.Now) Then
			DateTime.DateFormat = "HH:mm:ss"
			If oCursor.GetString("cAlarmTime") = DateTime.Time(DateTime.Now) Then
				'Alarm Detected
				StartActivity("modServiceNotification")
			End If 
		End If
		
	Catch
	Log(LastException.Message)
	End Try
	
	
End Sub
