﻿Type=Activity
Version=3.95
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

'Public Registration As String
Public MotDate As String
Public InsuranceDate As String
Public TaxDate As String
Public ServiceDate As String

Dim oSQL As SQL

End Sub

Sub Globals
	 
	Dim spDayMot As Spinner
	Dim spMonthMot As Spinner
	Dim spYearMot As Spinner
	
	Dim spDayInsurance As Spinner
	Dim spMonthInsurance As Spinner
	Dim spYearInsurance As Spinner
	
	Dim spDayTax As Spinner
	Dim spMonthTax As Spinner
	Dim spYearTax As Spinner
	
	Dim spDayService As Spinner
	Dim spMonthService As Spinner
	Dim spYearService As Spinner
	Dim spHour As Spinner
	Dim spMinute As Spinner
	Dim spSecond As Spinner
	Dim AlarmTime As String
	
'	Private RegistrationData As Label
	Private lblMotDate As Label	 	
	Private lblInsuranceDate As Label
	Private lblTaxDate As Label
	Private lblServiceDate As Label
	
	Dim cbService As CheckBox
	Private Registration As EditText
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	Try
	
	Activity.LoadLayout("Settings")
	Activity.AddMenuItem("Back","mnuBack")
		
	Fill_Spinners
 	Fill_First_Dates
	
	'Change Keyboard To Uppercase
	Registration.InputType = Bit.OR(Registration.INPUT_TYPE_TEXT, 4096)
	
	Catch
		Log(LastException.Message)
	End Try
		
End Sub

Sub mnuBack_Click
	
'	Select Msgbox2("Confirm Cancel all Schedules?", "Save Changes","Yes","","No",Null)
'
'	Case DialogResponse.NEGATIVE
'
'	Case DialogResponse.POSITIVE
'  
'	'Cancel Previous Scheduled Services
'	Try
'		CancelScheduledService(modMot)
'	Catch
'		Log(LastException.Message)
'	End Try
'	
'	Try
'		CancelScheduledService(modInsurance)
'	Catch
'		Log(LastException.Message)
'	End Try
'	
'	Try
'		CancelScheduledService(modTax)
'	Catch
'		Log(LastException.Message)
'	End Try
'	
'	Try
'		CancelScheduledService(modService)
'	Catch
'		Log(LastException.Message)
'	End Try
'	
'	Try
'		Msgbox ("All schedules have been canceled.","Confirmation")
'	Catch
'		Log(LastException.Message)
'	End Try
'	
'	End Select
	
	Try
	
		Activity.Finish
		StartActivity(Main)
	
	Catch
		Log(LastException.Message)
	End Try

End Sub

Sub Fill_First_Dates

	Try
	
		spHour.SelectedIndex = 12
		spDayMot.SelectedIndex = DateTime.GetDayOfMonth(DateTime.Now) - 1
		spMonthMot.SelectedIndex = DateTime.GetMonth(DateTime.Now) - 1
		spYearMot.SelectedIndex = 1

		spDayInsurance.SelectedIndex = DateTime.GetDayOfMonth(DateTime.Now) - 1
		spMonthInsurance.SelectedIndex = DateTime.GetMonth(DateTime.Now) - 1
		spYearInsurance.SelectedIndex = 1

		spDayTax.SelectedIndex = DateTime.GetDayOfMonth(DateTime.Now) - 1
		spMonthTax.SelectedIndex = DateTime.GetMonth(DateTime.Now) - 1
		spYearTax.SelectedIndex = 1

		spDayService.SelectedIndex = DateTime.GetDayOfMonth(DateTime.Now) - 1
		spMonthService.SelectedIndex = DateTime.GetMonth(DateTime.Now) - 1
		spYearService.SelectedIndex = 1


		DateTime.DateFormat = "MM/dd/yyyy"
		Dim sDate As String = spMonthMot.SelectedItem & "/" & spDayMot.SelectedItem & "/" & spYearMot.SelectedItem
		Dim lngDate As Long = DateTime.DateParse(sDate)  
		DateTime.DateFormat = "dd MMMM yyyy"  
		lblMotDate.Text = DateTime.Date(lngDate)	
		MotDate =  sDate
		
		DateTime.DateFormat = "MM/dd/yyyy"
		Dim sDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem
		Dim lngDate As Long = DateTime.DateParse(sDate)  
		DateTime.DateFormat = "dd MMMM yyyy" 
		lblInsuranceDate.Text = DateTime.Date(lngDate)
		InsuranceDate =  sDate	
		
		DateTime.DateFormat = "MM/dd/yyyy"
		Dim sDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem
		Dim lngDate As Long = DateTime.DateParse(sDate)  
		DateTime.DateFormat = "dd MMMM yyyy"  
		lblTaxDate.Text = DateTime.Date(lngDate)
		TaxDate =  sDate	
		
		DateTime.DateFormat = "MM/dd/yyyy"
		Dim sDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem
		Dim lngDate As Long = DateTime.DateParse(sDate)  
		DateTime.DateFormat = "dd MMMM yyyy"  
		lblServiceDate.Text = DateTime.Date(lngDate)
		ServiceDate =  sDate
	
	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub Fill_Spinners

	Try

		spDayMot.Add("01")
		spDayMot.Add("02")
		spDayMot.Add("03")
		spDayMot.Add("04")
		spDayMot.Add("05")
		spDayMot.Add("06")
		spDayMot.Add("07")
		spDayMot.Add("08")
		spDayMot.Add("09")
		spDayMot.Add("10")
		spDayMot.Add("11")
		spDayMot.Add("12")
		spDayMot.Add("13")
		spDayMot.Add("14")
		spDayMot.Add("15")
		spDayMot.Add("16")
		spDayMot.Add("17")
		spDayMot.Add("18")
		spDayMot.Add("19")
		spDayMot.Add("20")
		spDayMot.Add("21")
		spDayMot.Add("22")
		spDayMot.Add("23")
		spDayMot.Add("24")
		spDayMot.Add("25")
		spDayMot.Add("26")
		spDayMot.Add("27")
		spDayMot.Add("28")
		spDayMot.Add("29")
		spDayMot.Add("30")
		spDayMot.Add("31")
		
		spMonthMot.Add("01")
		spMonthMot.Add("02")
		spMonthMot.Add("03")
		spMonthMot.Add("04")
		spMonthMot.Add("05")
		spMonthMot.Add("06")
		spMonthMot.Add("07")
		spMonthMot.Add("08")
		spMonthMot.Add("09")
		spMonthMot.Add("10")
		spMonthMot.Add("11")
		spMonthMot.Add("12")
		
		spYearMot.Add("2014")
		spYearMot.Add("2015")
		spYearMot.Add("2016")
		spYearMot.Add("2017")
		spYearMot.Add("2018")
		spYearMot.Add("2019")
		spYearMot.Add("2020")
		spYearMot.Add("2021")
		spYearMot.Add("2022")
		spYearMot.Add("2023")
		spYearMot.Add("2024")
		
		'###################################################
		
		spDayInsurance.Add("01")
		spDayInsurance.Add("02")
		spDayInsurance.Add("03")
		spDayInsurance.Add("04")
		spDayInsurance.Add("05")
		spDayInsurance.Add("06")
		spDayInsurance.Add("07")
		spDayInsurance.Add("08")
		spDayInsurance.Add("09")
		spDayInsurance.Add("10")
		spDayInsurance.Add("11")
		spDayInsurance.Add("12")
		spDayInsurance.Add("13")
		spDayInsurance.Add("14")
		spDayInsurance.Add("15")
		spDayInsurance.Add("16")
		spDayInsurance.Add("17")
		spDayInsurance.Add("18")
		spDayInsurance.Add("19")
		spDayInsurance.Add("20")
		spDayInsurance.Add("21")
		spDayInsurance.Add("22")
		spDayInsurance.Add("23")
		spDayInsurance.Add("24")
		spDayInsurance.Add("25")
		spDayInsurance.Add("26")
		spDayInsurance.Add("27")
		spDayInsurance.Add("28")
		spDayInsurance.Add("29")
		spDayInsurance.Add("30")
		spDayInsurance.Add("31")
		
		spMonthInsurance.Add("01")
		spMonthInsurance.Add("02")
		spMonthInsurance.Add("03")
		spMonthInsurance.Add("04")
		spMonthInsurance.Add("05")
		spMonthInsurance.Add("06")
		spMonthInsurance.Add("07")
		spMonthInsurance.Add("08")
		spMonthInsurance.Add("09")
		spMonthInsurance.Add("10")
		spMonthInsurance.Add("11")
		spMonthInsurance.Add("12")
		
		spYearInsurance.Add("2014")
		spYearInsurance.Add("2015")
		spYearInsurance.Add("2016")
		spYearInsurance.Add("2017")
		spYearInsurance.Add("2018")
		spYearInsurance.Add("2019")
		spYearInsurance.Add("2020")
		spYearInsurance.Add("2021")
		spYearInsurance.Add("2022")
		spYearInsurance.Add("2023")
		spYearInsurance.Add("2024")
	 
	'###################################################
		
		spDayTax.Add("01")
		spDayTax.Add("02")
		spDayTax.Add("03")
		spDayTax.Add("04")
		spDayTax.Add("05")
		spDayTax.Add("06")
		spDayTax.Add("07")
		spDayTax.Add("08")
		spDayTax.Add("09")
		spDayTax.Add("10")
		spDayTax.Add("11")
		spDayTax.Add("12")
		spDayTax.Add("13")
		spDayTax.Add("14")
		spDayTax.Add("15")
		spDayTax.Add("16")
		spDayTax.Add("17")
		spDayTax.Add("18")
		spDayTax.Add("19")
		spDayTax.Add("20")
		spDayTax.Add("21")
		spDayTax.Add("22")
		spDayTax.Add("23")
		spDayTax.Add("24")
		spDayTax.Add("25")
		spDayTax.Add("26")
		spDayTax.Add("27")
		spDayTax.Add("28")
		spDayTax.Add("29")
		spDayTax.Add("30")
		spDayTax.Add("31")
		
		spMonthTax.Add("01")
		spMonthTax.Add("02")
		spMonthTax.Add("03")
		spMonthTax.Add("04")
		spMonthTax.Add("05")
		spMonthTax.Add("06")
		spMonthTax.Add("07")
		spMonthTax.Add("08")
		spMonthTax.Add("09")
		spMonthTax.Add("10")
		spMonthTax.Add("11")
		spMonthTax.Add("12")
		
		spYearTax.Add("2014")
		spYearTax.Add("2015")
		spYearTax.Add("2016")
		spYearTax.Add("2017")
		spYearTax.Add("2018")
		spYearTax.Add("2019")
		spYearTax.Add("2020")
		spYearTax.Add("2021")
		spYearTax.Add("2022")
		spYearTax.Add("2023")
		spYearTax.Add("2024")
		
		'###################################################
		
		spDayService.Add("01")
		spDayService.Add("02")
		spDayService.Add("03")
		spDayService.Add("04")
		spDayService.Add("05")
		spDayService.Add("06")
		spDayService.Add("07")
		spDayService.Add("08")
		spDayService.Add("09")
		spDayService.Add("10")
		spDayService.Add("11")
		spDayService.Add("12")
		spDayService.Add("13")
		spDayService.Add("14")
		spDayService.Add("15")
		spDayService.Add("16")
		spDayService.Add("17")
		spDayService.Add("18")
		spDayService.Add("19")
		spDayService.Add("20")
		spDayService.Add("21")
		spDayService.Add("22")
		spDayService.Add("23")
		spDayService.Add("24")
		spDayService.Add("25")
		spDayService.Add("26")
		spDayService.Add("27")
		spDayService.Add("28")
		spDayService.Add("29")
		spDayService.Add("30")
		spDayService.Add("31")
		
		spMonthService.Add("01")
		spMonthService.Add("02")
		spMonthService.Add("03")
		spMonthService.Add("04")
		spMonthService.Add("05")
		spMonthService.Add("06")
		spMonthService.Add("07")
		spMonthService.Add("08")
		spMonthService.Add("09")
		spMonthService.Add("10")
		spMonthService.Add("11")
		spMonthService.Add("12")
		
		spYearService.Add("2014")
		spYearService.Add("2015")
		spYearService.Add("2016")
		spYearService.Add("2017")
		spYearService.Add("2018")
		spYearService.Add("2019")
		spYearService.Add("2020")
		spYearService.Add("2021")
		spYearService.Add("2022")
		spYearService.Add("2023")
		spYearService.Add("2024")
		
		'Fill Time Spinners
		
		Dim Hour As Int
		
		For Hour = 0 To 9
		spHour.add("0" & Hour)
		Next
		
		For Hour = 10 To 23
		spHour.add(Hour)
		Next
		
		Dim Minute As Int
		
		For Minute = 0 To 9
		spMinute.add("0" & Minute)
		Next
		
		For Minute = 10 To 59
		spMinute.add(Minute)
		Next
		
		spSecond.add("00")
	
	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnSave_Click

	Try
	
		Select Msgbox2("Confirm new Calendar Dates?", "Save Changes","Yes","","No",Null)
		  
		  Case DialogResponse.NEGATIVE
		   
		  Case DialogResponse.POSITIVE
		    
			AlarmTime = spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
			
		    If cbService.Checked = False Then
			 
					oSQL.Initialize(File.DirRootExternal & "/SVR/", "SVR.db", False)
					oSQL.ExecNonQuery("INSERT INTO tblSVR VALUES('" & Registration.text & "','" & MotDate & "', '" & InsuranceDate & "', '" & TaxDate & "', '" & ServiceDate & "', '" & AlarmTime & "')")
				 		
			Else
							 
					oSQL.Initialize(File.DirRootExternal & "/SVR/", "SVR.db", False)
					oSQL.ExecNonQuery("INSERT INTO tblSVR VALUES('" & Registration.text & "','" & MotDate & "','" & InsuranceDate & "', '" & TaxDate & "', '', '" & AlarmTime & "')")
				 	
			End If
				
			Create_Calendar_Entry
			
			'Start the Alarm Service
			StartService("svcAlarm")
			
			Activity.Finish
			
			StartActivity("Main")
			
		End Select

	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub Create_Calendar_Entry

	Try

		Dim oMyCalendar As MyCalendar
		oMyCalendar.Initialize
		
		If cbService.Checked = False Then
		
		'Create MOT Calendar Entry
		DateTime.DateFormat = "dd/MM/yyyy HH:mm:ss"
		Dim sMOTDate As String = spDayMot.SelectedItem & "/" & spMonthMot.SelectedItem & "/" & spYearMot.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngMOTDate As Long = DateTime.DateParse(sMOTDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle MOT Due", _
			"Your Vehicle MOT is now due." _
			,"Home" _
			,lngMOTDate _
			,lngMOTDate _
			,10080,Null,False)
			
			'Create Insurance Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sInsuranceDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngInsuranceDate As Long = DateTime.DateParse(sInsuranceDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle Insurance Due", _
			"Your Vehicle Insurance is now due for renewal." _
			,"Home" _
			,lngInsuranceDate _
			,lngInsuranceDate _
			,10080,Null,False)
			
			'Create TAX Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sTAXDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngTAXDate As Long = DateTime.DateParse(sTAXDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle TAX Due", _
			"Your Vehicle TAX is now due." _
			,"Home" _
			,lngTAXDate _
			,lngTAXDate _
			,10080,Null,False)
			
			'Create Service Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sServiceDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngServiceDate As Long = DateTime.DateParse(sServiceDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle Service Due", _
			"Your Vehicle is due to be Serviced." _
			,"Home" _
			,lngServiceDate _
			,lngServiceDate _
			,10080,Null,False)
			
		Else
		
		'Create MOT Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sMOTDate As String = spMonthMot.SelectedItem & "/" & spDayMot.SelectedItem & "/" & spYearMot.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngMOTDate As Long = DateTime.DateParse(sMOTDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle MOT Due", _
			"Your Vehicle MOT is now due." _
			,"Home" _
			,lngMOTDate _
			,lngMOTDate _
			,10080,Null,False)
			
			'Create Insurance Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sInsuranceDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngInsuranceDate As Long = DateTime.DateParse(sInsuranceDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle Insurance Due", _
			"Your Vehicle Insurance is now due for renewal." _
			,"Home" _
			,lngInsuranceDate _
			,lngInsuranceDate _
			,10080,Null,False)
			
			'Create TAX Calendar Entry
		DateTime.DateFormat = "MM/dd/yyyy HH:mm:ss"
		Dim sTAXDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem & " " & _
		spHour.SelectedItem & ":" & spMinute.SelectedItem & ":" & spSecond.SelectedItem
		
		Dim lngTAXDate As Long = DateTime.DateParse(sTAXDate)  
		
		
		oMyCalendar.CreateEventWithReminder(1,"Vehicle TAX Due", _
			"Your Vehicle TAX is now due." _
			,"Home" _
			,lngTAXDate _
			,lngTAXDate _
			,10080,Null,False)
			
		End If
		
	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub cbService_CheckedChange(Checked As Boolean)

	Try
	
		If Checked = True Then 
			lblServiceDate.Text = "# Vehicle Not Serviced #"
		Else
			
			DateTime.DateFormat = "MM/dd/yyyy"
			Dim sDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem
			Dim lngDate As Long = DateTime.DateParse(sDate)  
			DateTime.DateFormat = "dd MMMM yyyy"  
			lblServiceDate.Text = DateTime.Date(lngDate)
			ServiceDate =  sDate
		
		End If
	
	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub spYearMot_ItemClick (Position As Int, Value As Object)
 
 	Try
		
		DateTime.DateFormat = "MM/dd/yyyy"
		Dim sDate As String = spMonthMot.SelectedItem & "/" & spDayMot.SelectedItem & "/" & spYearMot.SelectedItem
		Dim lngDate As Long = DateTime.DateParse(sDate)  
		DateTime.DateFormat = "dd MMMM yyyy"  
		lblMotDate.Text = DateTime.Date(lngDate)	
		MotDate =  sDate

	Catch
		Log(LastException.Message)
	End Try
End Sub

Sub spYearInsurance_ItemClick (Position As Int, Value As Object)
	
	Try
	
	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy" 
	lblInsuranceDate.Text = DateTime.Date(lngDate)
	InsuranceDate =  sDate	 
	
	Catch
		Log(LastException.Message)
	End Try
	
End Sub

Sub spYearTax_ItemClick (Position As Int, Value As Object)
		 
	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblTaxDate.Text = DateTime.Date(lngDate)
	TaxDate =  sDate
	
End Sub

Sub spYearService_ItemClick (Position As Int, Value As Object)
		 
	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblServiceDate.Text = DateTime.Date(lngDate)
	ServiceDate =  sDate

End Sub

Sub spMonthMot_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthMot.SelectedItem & "/" & spDayMot.SelectedItem & "/" & spYearMot.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblMotDate.Text = DateTime.Date(lngDate)	
	MotDate =  sDate
	
End Sub

Sub spDayMot_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthMot.SelectedItem & "/" & spDayMot.SelectedItem & "/" & spYearMot.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblMotDate.Text = DateTime.Date(lngDate)	
	MotDate =  sDate
	
End Sub

Sub spMonthInsurance_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy" 
	lblInsuranceDate.Text = DateTime.Date(lngDate)
	InsuranceDate =  sDate	
	
End Sub

Sub spDayInsurance_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthInsurance.SelectedItem & "/" & spDayInsurance.SelectedItem & "/" & spYearInsurance.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy" 
	lblInsuranceDate.Text = DateTime.Date(lngDate)
	InsuranceDate =  sDate	
	
End Sub

Sub spMonthTax_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblTaxDate.Text = DateTime.Date(lngDate)
	TaxDate =  sDate
	
End Sub

Sub spDayTax_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthTax.SelectedItem & "/" & spDayTax.SelectedItem & "/" & spYearTax.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblTaxDate.Text = DateTime.Date(lngDate)
	TaxDate =  sDate
	
End Sub

Sub spMonthService_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblServiceDate.Text = DateTime.Date(lngDate)
	ServiceDate =  sDate
	
End Sub

Sub spDayService_ItemClick (Position As Int, Value As Object)

	DateTime.DateFormat = "MM/dd/yyyy"
	Dim sDate As String = spMonthService.SelectedItem & "/" & spDayService.SelectedItem & "/" & spYearService.SelectedItem
	Dim lngDate As Long = DateTime.DateParse(sDate)  
	DateTime.DateFormat = "dd MMMM yyyy"  
	lblServiceDate.Text = DateTime.Date(lngDate)
	ServiceDate =  sDate
	
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean
   
   If KeyCode = KeyCodes.KEYCODE_BACK Then
    
	  Return True  
	  Else
	  Return False
	 
   End If 
  
End Sub

Sub Registration_EnterPressed

	Registration.Text = Registration.Text.Trim
	Registration.Text = Registration.Text.ToUpperCase

End Sub

Sub Registration_TextChanged (Old As String, New As String)
	Registration.InputType = Bit.OR(Registration.INPUT_TYPE_TEXT, 4096)
End Sub